Bug 192037 - kdebase Package won't build in mock
kdebase Package won't build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 19:11 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.5.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 14:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build Log (151.54 KB, application/octet-stream)
2006-05-16 19:11 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2006-05-16 19:11:55 EDT
Similar to the kdewebdev problem, kdebase won't build either as it can't find a
just created lib in .libs/:

/bin/sh ../../libtool --silent --tag=CXX --mode=link g++  -DNDEBUG -DNO_DEBUG
-O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables -fno-exceptions -fno-check-new
-fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION -D_GNU_SOURCE    -o kate  -no-undefined
-L/usr/lib/qt-3.3/lib -L/usr/lib -Wl,--as-needed -Wl,--enable-new-dtags 
-L/usr/lib kate.la.o libkdeinit_kate.la
/usr/bin/ld: warning: libkateinterfaces.so.0, needed by
./.libs/libkdeinit_kate.so, not found (try using -rpath or -rpath-link)
./.libs/libkdeinit_kate.so: undefined reference to `KateApp::~KateApp()'
./.libs/libkdeinit_kate.so: undefined reference to `KateApp::kateVersion(bool)'
./.libs/libkdeinit_kate.so: undefined reference to `KateApp::KateApp(KCmdLineArgs*)'
collect2: ld returned 1 exit status
make[3]: *** [kate] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/kdebase-3.5.2/kate/app'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/kdebase-3.5.2/kate'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/kdebase-3.5.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.60884 (%build)


Full build log is attached.
Comment 1 Andreas Thienemann 2006-05-16 19:11:55 EDT
Created attachment 129283 [details]
Build Log
Comment 2 Matt Domsch 2006-06-08 14:55:23 EDT
kdebase-3.5.3-2.src.rpm builds on i386 and x86_64.

Note You need to log in before you can comment on or make changes to this bug.